---
lang: en
title: 'API docs: core.lifecycleobserverregistry.(constructor)'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.lifecycleobserverregistry.(constructor).html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserverRegistry](./core.lifecycleobserverregistry.md) &gt; [(constructor)](./core.lifecycleobserverregistry.(constructor).md)

## LifeCycleObserverRegistry.(constructor)

Constructs a new instance of the `LifeCycleObserverRegistry` class

<b>Signature:</b>

```typescript
constructor(observersView: ContextView<LifeCycleObserver>, options?: LifeCycleObserverOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  observersView | <code>ContextView&lt;LifeCycleObserver&gt;</code> |  |
|  options | <code>LifeCycleObserverOptions</code> |  |


